petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscOptionsSetFromOptions

Sets options related to the handling of options in PETSc

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsSetFromOptions(PetscOptions options)

Collective on PETSC_COMM_WORLD Many br

### Input Parameter

options -options database use NULL for default global database Many br

### Options Database Keys

| -options_monitor <optional filename> | - prints the names and values of all runtime options as they are set. The monitor functionality is not Many bravailable for options set through a file, environment variable, or on Many brthe command line. Only options set after PetscInitialize() completes will Many brbe monitored. Many br
| -options_monitor_cancel | - cancel all options database monitors Many br

### Notes

To see all options, run your program with the -help option or consult Users-Manual: Introduction Many br

Many br

### Keywords

set, options, database

Level:intermediate
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex22.c.html